View Issue Details

IDCategoryLast Update
0004336bugs2015-09-18 15:19
ReportercolinfAssigned Topaul 
Reproducibilitysometimes 
Status closedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in Version 
Summary0004336: [PATCH] Composer information is not exported to TOC/CUE files
DescriptionThere's a field in the Locations window to enter the Composer of each CD track defined, but whatever's entered there doesn't end up in exported CUE or TOC files.
Additional InformationI think the attached patch does the right thing to make this work in 2.0-ongoing. It looks to me as if A3 might also suffer from the same bug, but I haven't tried it yet.
TagsNo tags attached.

Activities

2011-09-27 15:06

 

export-composer.patch (1,264 bytes)
Index: gtk2_ardour/export_dialog.cc
===================================================================
--- gtk2_ardour/export_dialog.cc	(revision 10141)
+++ gtk2_ardour/export_dialog.cc	(working copy)
@@ -716,8 +716,8 @@
 				if ((*i)->cd_info.find("performer") != (*i)->cd_info.end()) {
 					out << "     PERFORMER \"" << (*i)->cd_info["performer"]  << "\"" << endl;
 				}
-				if ((*i)->cd_info.find("string_composer") != (*i)->cd_info.end()) {
-					out  << "     COMPOSER \"" << (*i)->cd_info["string_composer"] << "\"" << endl;
+				if ((*i)->cd_info.find("composer") != (*i)->cd_info.end()) {
+					out  << "     COMPOSER \"" << (*i)->cd_info["composer"] << "\"" << endl;
 				}
 				
 				if ((*i)->cd_info.find("isrc") != (*i)->cd_info.end()) {			  
@@ -930,8 +930,8 @@
 					out << "    PERFORMER \"" <<  (*i)->cd_info["performer"] << "\"" << endl;
 				}
 				
-				if ((*i)->cd_info.find("string_composer") != (*i)->cd_info.end()) {
-					out << "    SONGWRITER \"" << (*i)->cd_info["string_composer"]  << "\"" << endl;
+				if ((*i)->cd_info.find("composer") != (*i)->cd_info.end()) {
+					out << "    SONGWRITER \"" << (*i)->cd_info["composer"]  << "\"" << endl;
 				}
 
 				/* only print "Index 00" if not at the same position as "Index 01" */
export-composer.patch (1,264 bytes)

2011-09-27 15:16

 

export-composer-a3.patch (1,394 bytes)
Index: libs/ardour/export_handler.cc
===================================================================
--- libs/ardour/export_handler.cc	(revision 10140)
+++ libs/ardour/export_handler.cc	(working copy)
@@ -454,8 +454,8 @@
 		status.out << "    PERFORMER \"" <<  status.marker->cd_info["performer"] << "\"" << endl;
 	}
 
-	if (status.marker->cd_info.find("string_composer") != status.marker->cd_info.end()) {
-		status.out << "    SONGWRITER \"" << status.marker->cd_info["string_composer"]  << "\"" << endl;
+	if (status.marker->cd_info.find("composer") != status.marker->cd_info.end()) {
+		status.out << "    SONGWRITER \"" << status.marker->cd_info["composer"]  << "\"" << endl;
 	}
 
 	if (status.track_position != status.track_start_frame) {
@@ -496,8 +496,8 @@
 	if (status.marker->cd_info.find("performer") != status.marker->cd_info.end()) {
 		status.out << "     PERFORMER \"" << status.marker->cd_info["performer"]  << "\"" << endl;
 	}
-	if (status.marker->cd_info.find("string_composer") != status.marker->cd_info.end()) {
-		status.out  << "     COMPOSER \"" << status.marker->cd_info["string_composer"] << "\"" << endl;
+	if (status.marker->cd_info.find("composer") != status.marker->cd_info.end()) {
+		status.out  << "     COMPOSER \"" << status.marker->cd_info["composer"] << "\"" << endl;
 	}
 
 	if (status.marker->cd_info.find("isrc") != status.marker->cd_info.end()) {
export-composer-a3.patch (1,394 bytes)

colinf

2011-09-27 15:17

updater   ~0011579

Attached an equivalent, but untested, patch for A3 too.

cth103

2011-09-27 20:20

administrator   ~0011580

A3 patch applied to SVN 10148. Thanks!

paul

2012-05-15 12:27

administrator   ~0013244

2.0-ongoing patch applied as rev 12289. 3.0 has already been done.

colinf

2015-09-18 15:19

updater   ~0017300

Closing old issues reported by me: these have long since been fixed.

Issue History

Date Modified Username Field Change
2011-09-27 15:06 colinf New Issue
2011-09-27 15:06 colinf File Added: export-composer.patch
2011-09-27 15:16 colinf File Added: export-composer-a3.patch
2011-09-27 15:17 colinf Note Added: 0011579
2011-09-27 20:19 cth103 cost => 0.00
2011-09-27 20:19 cth103 Target Version => 2.8.13
2011-09-27 20:19 cth103 Summary Composer information is not exported to TOC/CUE files => [PATCH] Composer information is not exported to TOC/CUE files
2011-09-27 20:20 cth103 Note Added: 0011580
2012-05-15 12:27 paul Note Added: 0013244
2012-05-15 12:27 paul Status new => resolved
2012-05-15 12:27 paul Resolution open => fixed
2012-05-15 12:27 paul Assigned To => paul
2015-09-18 15:19 colinf Note Added: 0017300
2015-09-18 15:19 colinf Status resolved => closed